Bug 85403 - no broadcast after text to columns to convert text to numbers
Summary: no broadcast after text to columns to convert text to numbers
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.4.0 target:4.3.3 target:6.1.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-10-24 10:19 UTC by Caolán McNamara
Modified: 2018-05-06 06:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example of the problem (13.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-24 10:19 UTC, Caolán McNamara
Details
detailed results of two bibisect runs (13.47 KB, text/plain)
2014-10-26 03:11 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2014-10-24 10:19:06 UTC
Created attachment 108346 [details]
example of the problem
Comment 1 Caolán McNamara 2014-10-24 10:19:36 UTC
'123 in A1, SUM(A1) in B1, result is 0 as expected, now select A1 and use data->text to columns->ok and B1 is not updated, putting a new SUM(A1) in C1 will show 123
Comment 2 Eike Rathke 2014-10-24 16:19:50 UTC
Also in 4.2.0, works in 4.1.6
Comment 3 Terrence Enger 2014-10-26 03:11:45 UTC
Created attachment 108424 [details]
detailed results of two bibisect runs

I am relegating the detailed bibisect output to an attachment because
it is long enough to be an annoyance for people wanting to skip over
it.

Whoops.  I did my bibisecting working across the worksheet instead of
down like Caolán did.  Silly me!


I have done a couple of bibisects in the 43-all repository to
distinguish the following results:

(1) After menu option Data > "Text to Columns", A2 shows 123; and
    after I type =SUM(A1) in C1, it shows value 123.  This result is
    "good".

(2) After menu option Data > "Text to Columns", A2 shows 0; and after
    I type =sum(a1) in C1, it shows value 0.  I deemed this "bad" in
    the first bibisect, just to see where it started happening; and I
    deemed it "good" in the second bibisect to find the start of the
    reported behaviour.

(3) After menu option Data > "Text to Columns", A2 shows 0; and after
    I type =sum(a1) in C1, it shows value 123.  This is the reported
    behaviour, and I deemed it "bad".

Additionally, I deemed the following behaviours "skip":

(4) Menu option Data > "Text to Columns", instead of displaying the
    expected dialog, pegged the CPU until I ended the program with
    <Ctrl>+C.  The long string of consecutive skips in the first
    bibisect are this failure.

(5) Execution of LibreOffice ends with message "ERROR 4 forking
    process" in the terminal.  All the skips in the second bibisect
    are this failure.

To summarize from the detailed output:  When condition (2) is deemed
bad, bisect reports 21 possible first bad commits.  When condition (2)
is deemed good, there are only two possibles:

    # possible first bad commit: [5c95a5c8caeeb347ef97f337a237d66c35261710] source-hash-a6d89e17995987549db36695f3ea490a18f30ba4
    # possible first bad commit: [ccbf29a52688534e5b3af5041c87e6eec9021a39] source-hash-97c62ed88419f7288ce1b365474c65038253608e

and the last-encountered good commit is

    # good: [82c920939b3518277ba70c800018130ea9b027e7] source-hash-8f0ecf253531963144d3d1c9ee5c12a6cda99c4e
Comment 4 Commit Notification 2014-11-03 13:57:18 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99cfc0f8a321c3fd3ef1a49d669ebc5744dbf606

fdo#85403 broadcast changes after TextToColumn

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2014-11-03 14:02:55 UTC
Pending review for 4-3 at https://gerrit.libreoffice.org/12216
Comment 6 Commit Notification 2014-11-06 09:51:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e963f4ee14fdda118a54745dcfca46e6244f0999&h=libreoffice-4-3

fdo#85403 broadcast changes after TextToColumn

It will be available in 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 08:37:35 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]
Comment 8 Commit Notification 2018-05-06 06:26:52 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71211b961cbbbffeb8789f6ba49901518d720239

uitest for bug tdf#85403

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.